<!DOCTYPE html>
<html class="no-js" lang="{{ app.request.locale|split('_')[0] }}">
<head>
    <meta charset="UTF-8">
    <title>{% block title %}Welcome!{% endblock %}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link href="{{ asset('css/vendor/bootstrap5.3.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/webapp-tajine.css') }}" rel="stylesheet">
    {% cspstyle %} <style></style> {% endcspstyle %}

    <meta name="description" content="">
    {#
    <link rel="icon" href="/favicon.ico" sizes="any">
    <link rel="icon" href="/icon.svg" type="image/svg+xml">
    <link rel="apple-touch-icon" href="icon.png">
    #}
</head>
<body>
    <div class="col-lg-8 mx-auto p-4 py-md-5">
        <header class="d-flex align-items-center pb-3 mb-5 border-bottom">
            <a href="/" class="d-flex align-items-center text-dark text-decoration-none">
                <svg xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="currentColor" class="bi bi-intersect" viewBox="0 0 16 16">
                    <path d="M0 2a2 2 0 0 1 2-2h8a2 2 0 0 1 2 2v2h2a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H6a2 2 0 0 1-2-2v-2H2a2 2 0 0 1-2-2V2zm5 10v2a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1V6a1 1 0 0 0-1-1h-2v5a2 2 0 0 1-2 2H5zm6-8V2a1 1 0 0 0-1-1H2a1 1 0 0 0-1 1v8a1 1 0 0 0 1 1h2V6a2 2 0 0 1 2-2h5z"/>
                </svg> &nbsp; &nbsp;
                <span class="fs-4">{{ appName }}</span>
            </a>
        </header>



        <div class="row g-5">
            <div class="col-md-6">
                {% if is_granted('ROLE_USER') == false %}
                    <h1>{{ appShortName }} </h1>
                    <p>
                        {{ 'public.about.registration-authority'|trans }}
                    </p>
                    <a href="{{ path('app_cert-manager_certificate_add') }}"
                       class="btn btn-success btn-lg px-4">
                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-stack" viewBox="0 0 16 16">
                            <path d="m14.12 10.163 1.715.858c.22.11.22.424 0 .534L8.267 15.34a.598.598 0 0 1-.534 0L.165 11.555a.299.299 0 0 1 0-.534l1.716-.858 5.317 2.659c.505.252 1.1.252 1.604 0l5.317-2.66zM7.733.063a.598.598 0 0 1 .534 0l7.568 3.784a.3.3 0 0 1 0 .535L8.267 8.165a.598.598 0 0 1-.534 0L.165 4.382a.299.299 0 0 1 0-.535L7.733.063z"/>
                            <path d="m14.12 6.576 1.715.858c.22.11.22.424 0 .534l-7.568 3.784a.598.598 0 0 1-.534 0L.165 7.968a.299.299 0 0 1 0-.534l1.716-.858 5.317 2.659c.505.252 1.1.252 1.604 0l5.317-2.659z"/>
                        </svg> &nbsp;
                        {{ 'common.link.certificates.cert_add'|trans|raw }}
                    </a>
                {% elseif is_granted('ROLE_ADMIN') %}
                    <ul class="icon-list ps-0">
                        <li class="d-flex align-items-start mb-1 text-muted">
                            <a href="{{ path('app_cert-manager_certificates') }}">
                                {{ 'manager.link.certificates'|trans|raw }}</a>
                        </li>
                    </ul>
                    <a href="{{ path('app_cert-manager_certificate_add') }}"
                       class="btn btn-success px-4">
                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-stack" viewBox="0 0 16 16">
                            <path d="m14.12 10.163 1.715.858c.22.11.22.424 0 .534L8.267 15.34a.598.598 0 0 1-.534 0L.165 11.555a.299.299 0 0 1 0-.534l1.716-.858 5.317 2.659c.505.252 1.1.252 1.604 0l5.317-2.66zM7.733.063a.598.598 0 0 1 .534 0l7.568 3.784a.3.3 0 0 1 0 .535L8.267 8.165a.598.598 0 0 1-.534 0L.165 4.382a.299.299 0 0 1 0-.535L7.733.063z"/>
                            <path d="m14.12 6.576 1.715.858c.22.11.22.424 0 .534l-7.568 3.784a.598.598 0 0 1-.534 0L.165 7.968a.299.299 0 0 1 0-.534l1.716-.858 5.317 2.659c.505.252 1.1.252 1.604 0l5.317-2.659z"/>
                        </svg> &nbsp;
                        {{ 'common.link.certificates.cert_add'|trans|raw }}
                    </a>
                {% elseif is_granted('ROLE_CERTIFICAT_MANAGER') %}
                    <ul class="icon-list ps-0">
                        <li class="d-flex align-items-start mb-1 text-muted">
                            <a href="{{ path('app_cert-manager_certificates') }}">
                                {{ 'manager.link.certificates'|trans|raw }}</a>
                        </li>
                    </ul>
                    <a href="{{ path('app_cert-manager_certificate_add') }}"
                       class="btn btn-success px-4">
                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-stack" viewBox="0 0 16 16">
                            <path d="m14.12 10.163 1.715.858c.22.11.22.424 0 .534L8.267 15.34a.598.598 0 0 1-.534 0L.165 11.555a.299.299 0 0 1 0-.534l1.716-.858 5.317 2.659c.505.252 1.1.252 1.604 0l5.317-2.66zM7.733.063a.598.598 0 0 1 .534 0l7.568 3.784a.3.3 0 0 1 0 .535L8.267 8.165a.598.598 0 0 1-.534 0L.165 4.382a.299.299 0 0 1 0-.535L7.733.063z"/>
                            <path d="m14.12 6.576 1.715.858c.22.11.22.424 0 .534l-7.568 3.784a.598.598 0 0 1-.534 0L.165 7.968a.299.299 0 0 1 0-.534l1.716-.858 5.317 2.659c.505.252 1.1.252 1.604 0l5.317-2.659z"/>
                        </svg> &nbsp;
                        {{ 'common.link.certificates.cert_add'|trans|raw }}
                    </a>
                {% endif %}
            </div>


            <div class="col-md-6">
                <nav>
                    <ul class="icon-list ps-0">
                        {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                            <li class="d-flex align-items-start mb-1 text-muted">
                                <a href="{{ path('app_user_profile') }}">
                                    {{ 'user.link.profile'|trans }}
                                    / <strong class="connected_user_email">{{ app.user.email }}</strong> </a>
                            </li>
                            <li class="d-flex align-items-start mb-1">
                                <a href="{{ path('app_account_logout') }}">{{ 'user.link.logtout'|trans }}</a>
                            </li>
                        {% else %}
                            <li class="d-flex align-items-start mb-1">
                                <a href="{{ path('app_account_login') }}">
                                    {{ 'public.link.login'|trans }}
                                </a>
                            </li>
                            {#                        <li class="d-flex align-items-start mb-1">#}
                            {#                            <a href="{{ path('app_user_create-account') }}">Create an account</a>#}
                            {#                        </li>#}
                        {% endif %}
                    </ul>
                </nav>

                {% if is_granted('ROLE_ADMIN') %}
                    <nav>
                        <ul class="icon-list ps-0">
                            <li class="d-flex align-items-start mb-1">
                                <a href="{{ path('app_admin_certificates') }}">
                                    Admin > Manage <strong>Certificates</strong></a>
                            </li>
                            <li class="d-flex align-items-start mb-1">
                                <a href="{{ path('app_admin_users_list') }}">
                                    Admin > Manage <strong>Users</strong></a>
                            </li>
                            <li class="d-flex align-items-start mb-1">
                                <a href="{{ path('app_admin_config') }}">
                                    Admin >  <strong>Configuration</strong></a>
                            </li>
                        </ul>
                    </nav>
                {% endif %}
            </div>
        </div>


        <hr class="col-3 col-md-2 mb-4">
        <main>
            {# read and display all flash messages #}
            {% for label, messages in app.flashes %}
                {% for message in messages %}
                    <div class="alert alert-{{ label }}">
                        {{ message }}
                    </div>
                {% endfor %}
            {% endfor %}

            {# read and display several types of flash messages #}
{#            {{% for label, messages in app.flashes(['success', 'warning', 'notice', 'error']) %}#}
{#                <div class="alert alert-success">#}
{#                    {{ message }}#}
{#                </div>#}
{#            {% endfor %}#}


            {% block body %}{% endblock %}
        </main>

        {% include "app_base_footer.html.twig" %}
    </div>
</body>
</html>
